# $Revision: 1.80 $, $Date: 2012/01/13 22:14:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
Summary:	CGI Perl module - simple CGI interface class
Summary(pl.UTF-8):	Moduł Perla CGI - prosta klasa interfejsu do CGI
Name:		perl-CGI
Version:	3.59
Release:	1
Epoch:		1
# same as perl
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CGI/MARKSTOS/%{pdir}.pm-%{version}.tar.gz
# Source0-md5:	d8ad35c14ba4c471fe07be6e54bb05a6
URL:		http://search.cpan.org/dist/CGI.pm/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.3-0.20030610.20.2
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-FCGI >= 0.67
BuildRequires:	perl-Test-Simple >= 0.98
BuildRequires:	perl(File::Spec) >= 0.82
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(FCGI)

%description
CGI is an easy-to-use Perl5 library for writing World Wide Web CGI
scripts. This is replacement for usually outdated CGI module from perl
distribution.

%description -l pl.UTF-8
CGI jest modułem do prostego i szybkiego pisania aplikacji dla WWW -
skryptów CGI. Pakiet ten zawiera zamiennik dla zazwyczaj starej wersji
modułu CGI która jest dostarczana razem z perlem.

%package examples
Summary:	Examples for the CGI module
Summary(pl.UTF-8):	Przykłady użycia modułu CGI
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Examples for the CGI module.

%description examples -l pl.UTF-8
Przykłady użycia modułu CGI.

%prep
%setup -q -n %{pdir}.pm-%{version}

%{__sed} -i -e 's|/usr/local/bin/perl|/usr/bin/perl|g' examples/*.{cgi,pl}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README *.html
%{perl_vendorlib}/CGI.pm
%{perl_vendorlib}/CGI/*.pm
%{_mandir}/man3/CGI*.3pm*

%files examples
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.cgi
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/*.gif
%{_examplesdir}/%{name}-%{version}/*.html
%{_examplesdir}/%{name}-%{version}/*.xbm
%{_examplesdir}/%{name}-%{version}/WORLD_WRITABLE

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI.spec,v $
Revision 1.80  2012/01/13 22:14:24  zbyniu
- up to 3.59

Revision 1.79  2011/12/04 17:18:22  qboosh
- more test BRs

Revision 1.78  2011/11/28 09:07:06  arekm
- up to 3.58

Revision 1.77  2011/02/10 15:54:25  sparky
- tests BR: perl-Encode

Revision 1.76  2011/02/09 18:48:59  qboosh
- updated to 3.52

Revision 1.75  2009/10/16 11:35:18  amateja
- updated to 3.48

Revision 1.74  2009/09/14 19:47:43  arekm
- up to 3.47

Revision 1.73  2009/09/06 17:18:40  amateja
- updated to 3.45

Revision 1.72  2009/06/15 10:10:34  amateja
- updated to 3.43

Revision 1.71  2008/08/08 21:10:50  arekm
- up to 3.40

Revision 1.70  2008-01-23 21:05:10  qboosh
- generic URL

Revision 1.69  2008-01-16 18:37:40  agaran
- up to 3.33, rel 1, builds here

Revision 1.68  2007-12-23 22:25:32  zbyniu
- up to 3.31

Revision 1.67  2007-09-11 07:27:47  arekm
- up to 3.29

Revision 1.66  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.64  2006/10/09 21:27:08  glen
- perl-FCGI for tests

Revision 1.63  2006/10/08 20:41:15  qboosh
- updated to 3.25

Revision 1.62  2006/09/08 11:53:01  radek
- version 3.23

Revision 1.61  2006/06/22 19:37:14  trojan
- updated to 3.20

Revision 1.60  2006/04/04 10:21:19  radek
- version 3.17

Revision 1.59  2006/02/17 15:00:16  glen
- 3.16

Revision 1.58  2006/01/22 11:44:02  agaran
- up to 3.15 rel: 0.1

Revision 1.57  2005/05/29 22:09:46  petec
- up to 3.10
- fixed description

Revision 1.56  2004/11/03 22:30:09  paladine
- formatting

Revision 1.55  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.54  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.53  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.52  2004/04/13 11:40:51  adamg
- updated to 3.05

Revision 1.51  2004/01/31 15:07:34  qboosh
- fixed (there is subdir in examples), use perl instead of sed 4.0

Revision 1.50  2004/01/31 09:32:07  witekfl
- Simplification

Revision 1.48  2004/01/25 23:18:17  qboosh
- real summaries, updated noautoreq, license format unification,
  new-style bcond, back to no pdir/pnam macros in files

Revision 1.47  2004/01/24 22:11:29  arekm
- autoupdated to 3.04

Revision 1.46  2003/12/23 07:57:03  misi3k
- updated to 3.01

Revision 1.45  2003/12/11 18:39:40  undefine
- release 2 to rebuild with ac

Revision 1.44  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.43  2003/08/21 18:58:37  migo
- up to 3.00

Revision 1.42  2003/08/18 16:29:31  blues
- cosmetic

Revision 1.41  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.40  2003/08/13 14:09:19  qboosh
- updated _noautoreq (using simpler syntax - requires new noauto* scripts)

Revision 1.39  2003/08/08 22:12:27  qboosh
- up to 2.99 (fixes XSS vulnerability)

Revision 1.38  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/11 18:59:21  radek
- BR: perl-devel >= 1:5.8.0; do not BR: perl

Revision 1.35  2003/03/15 12:48:38  radek
- removed the perl_vendorlib/CGI directory; it belongs to perl

Revision 1.34  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.33  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.32  2003/02/19 15:01:14  ankry
- autoupdated to 2.91

Revision 1.31  2003/02/18 15:27:39  ankry
- massive attack: change CPAN URLs

Revision 1.30  2002/11/08 17:51:49  radek
- version 2.89

Revision 1.29  2002/09/26 13:29:58  ankry
- version 2.86

Revision 1.28  2002/09/12 22:20:16  radek
- version 2.85

Revision 1.27  2002/09/01 22:10:06  radek
- version 2.81, fixed License field, added missing files and
  separate package with examples

Revision 1.26  2002/07/16 11:31:57  ankry
- translations, cleaning
- new %%doc
- release 2

Revision 1.25  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 21:35:11  kloczek
- perl-CGI is back (probaly removed by me by mistake :>).

Revision 1.22  2002/02/17 17:11:11  depesz
- new version, STBR

Revision 1.21  2002/02/10 15:39:12  depesz
adapterized

Revision 1.20  2002/02/09 13:59:30  depesz
corrected paths

Revision 1.19  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.18  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/01 09:44:14  mis
- autoupdated to 2.78

Revision 1.16  2001/08/20 09:27:23  mis
- autoupdated to 2.77

Revision 1.15  2001/07/30 07:47:38  kloczek
- release 2, Epoch 1 (for allow downgrade).

Revision 1.14  2001/07/28 17:10:24  mis
- downgrade to 2.76 (3.x series has ALPHA status)

Revision 1.13  2001/06/22 20:00:29  zagrodzki
- added autoload
- sitelib-patch not neccessary

Revision 1.12  2001/06/22 15:17:03  zagrodzki
- release 2
- changed privlib to sitelib

Revision 1.11  2001/06/20 16:23:57  qboosh
- noautoreq: perl(autoload)

Revision 1.10  2001/06/19 09:52:35  mis
- autoupdated to 3.02

Revision 1.9  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.8  2001/05/11 14:45:28  kloczek
- release 4.

Revision 1.7  2001/05/11 00:40:37  qboosh
- removed .packlist file and empty %%{perl_archlib}/auto/CGI dir
- release 3

Revision 1.6  2001/05/10 19:47:18  qboosh
- removed rpmperl-automation-workaround patch, use %%_noautoreq instead

Revision 1.5  2001/04/17 12:06:17  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.4  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.3  2001/03/15 10:28:26  mis
- updated (by autoup) to 2.753

Revision 1.2  2001/02/20 16:12:39  mis
- updated (by autoup) to 2.752

Revision 1.1  2001/02/11 15:53:53  depesz
- new module.
- at the moment there is conflict between perl-CGI and perl but this will be
	hopefully corrected
